## IdeProjectMiner IdeProjectMiner |

## Functions

void | ide_project_miner_emit_discovered ()
void | ide_project_miner_mine_async ()
gboolean | ide_project_miner_mine_finish ()

## Signals

void | discovered | Run Last

## Types and Values

#define | IDE_TYPE_PROJECT_MINER
struct | IdeProjectMinerInterface
| IdeProjectMiner

## Object Hierarchy

        GInterface
        ╰── IdeProjectMiner

## Prerequisites

IdeProjectMiner requires GObject.

## Description

## Functions

### ide_project_miner_emit_discovered ()

    void
    ide_project_miner_emit_discovered (IdeProjectMiner *self,
                                       IdeProjectInfo *project_info);

### ide_project_miner_mine_async ()

    void
    ide_project_miner_mine_async (IdeProjectMiner *self,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

### ide_project_miner_mine_finish ()

    gboolean
    ide_project_miner_mine_finish (IdeProjectMiner *self,
                                   GAsyncResult *result,
                                   GError **error);

## Types and Values

### IDE_TYPE_PROJECT_MINER

    #define IDE_TYPE_PROJECT_MINER (ide_project_miner_get_type())

### struct IdeProjectMinerInterface

    struct IdeProjectMinerInterface {
      GTypeInterface parent_iface;

      void     (*discovered)  (IdeProjectMiner      *self,
                               IdeProjectInfo       *project_info);
      void     (*mine_async)  (IdeProjectMiner      *self,
                               GCancellable         *cancellable,
                               GAsyncReadyCallback   callback,
                               gpointer              user_data);
      gboolean (*mine_finish) (IdeProjectMiner      *self,
                               GAsyncResult         *result,
                               GError              **error);
    };

### IdeProjectMiner

    typedef struct _IdeProjectMiner IdeProjectMiner;

## Signal Details

### The `“discovered”` signal

    void
    user_function (IdeProjectMiner *self,
                   IdeProjectInfo  *project_info,
                   gpointer         user_data)

This signal is emitted when a new project has been discovered by the miner. The signal will always be emitted from the primary thread (Gtk+) as long as `ide_project_miner_emit_discovered()` was used to emit the signal.

#### Parameters

self | An IdeProjectMiner |
project_info | An IdeProjectInfo |
user_data | user data set when the signal handler was connected. |

Flags: Run Last